scala.math.Integral

# IntegralOps

#### class IntegralOps extends Ops

Source
  Integral.scala

Linear Supertypes
Integral.Ops, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. IntegralOps
2. Ops
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new IntegralOps(lhs: T)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def %(rhs: T): T

4. #### def *(rhs: T): T

   Definition Classes
     Ops

5. #### def +(rhs: T): T

   Definition Classes
     Ops

6. #### def -(rhs: T): T

   Definition Classes
     Ops

7. #### def ->[B](y: B): (IntegralOps, B)

   Implicit information
     This member is added by an implicit conversion from IntegralOps to ArrowAssoc[IntegralOps] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

8. #### def /(rhs: T): T

9. #### def /%(rhs: T): (T, T)

10. #### final def ==(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def abs(): T

    Definition Classes
      Ops

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def ensuring(cond: (IntegralOps) ⇒ Boolean, msg: ⇒ Any): IntegralOps

    Implicit information
      This member is added by an implicit conversion from IntegralOps to Ensuring[IntegralOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (IntegralOps) ⇒ Boolean): IntegralOps

    Implicit information
      This member is added by an implicit conversion from IntegralOps to Ensuring[IntegralOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): IntegralOps

    Implicit information
      This member is added by an implicit conversion from IntegralOps to Ensuring[IntegralOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): IntegralOps

    Implicit information
      This member is added by an implicit conversion from IntegralOps to Ensuring[IntegralOps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from IntegralOps to StringFormat[IntegralOps] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def signum(): Int

    Definition Classes
      Ops

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toDouble(): Double

    Definition Classes
      Ops

31. #### def toFloat(): Float

    Definition Classes
      Ops

32. #### def toInt(): Int

    Definition Classes
      Ops

33. #### def toLong(): Long

    Definition Classes
      Ops

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def unary_-(): T

    Definition Classes
      Ops

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (IntegralOps, B)

    Implicit information
      This member is added by an implicit conversion from IntegralOps to ArrowAssoc[IntegralOps] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from IntegralOps to any2stringadd[IntegralOps] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (integralOps: any2stringadd[IntegralOps]).+(other)

   Definition Classes
     any2stringadd

### Inherited from Integral.Ops

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from IntegralOps to any2stringadd[IntegralOps]

### Inherited by implicit conversion StringFormat from IntegralOps to StringFormat[IntegralOps]

### Inherited by implicit conversion Ensuring from IntegralOps to Ensuring[IntegralOps]

### Inherited by implicit conversion ArrowAssoc from IntegralOps to ArrowAssoc[IntegralOps]

### Ungrouped